




#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#include <util/delay.h>

#include "usbdrv.h"
#include "oddebug.h"


#define CMD_WHO     "ph_wind"


static uchar buffer[64];
static uchar currentPosition, bytesRemaining;
 
usbMsgLen_t usbFunctionSetup(uchar setupData[8])
{
    usbRequest_t *rq = (void *)setupData;   // cast to structured data for parsing
    switch(rq->bRequest){
    case VENDOR_RQ_WRITE_BUFFER:
        currentPosition = 0;                // initialize position index
        bytesRemaining = rq->wLength.word;  // store the amount of data requested
        if(bytesRemaining > sizeof(buffer)) // limit to buffer size
            bytesRemaining = sizeof(buffer);
        return USB_NO_MSG;        // tell driver to use usbFunctionWrite()
    }
    return 0;                               // ignore all unknown requests
}
 
uchar usbFunctionWrite(uchar *data, uchar len)
{
    uchar i;
    if(len > bytesRemaining)                // if this is the last incomplete chunk
        len = bytesRemaining;               // limit to the amount we can store
    bytesRemaining -= len;
    for(i = 0; i < len; i++)
        buffer[currentPosition++] = data[i];
    return bytesRemaining == 0;             // return 1 if we have all data
}




int main (void)
{
	uchar i;
 
   
    usbDeviceDisconnect();


    for(i=0;i<20;i++){  /* 300 ms disconnect */
        
        _delay_ms(15);
    }


    usbDeviceConnect();

	usbInit();
	
	sei();
	
	while (1)
	{
		usbPoll();

		


	}
		
}
